# Class SignOfferResponse

#### Hierarchy

- unknown
  - SignOfferResponse

- Defined in src/protobuf/pb_pb.d.ts:681
- Defined in src/protobuf/pb_pb.d.ts:701

#####
Index

### Constructors

constructor

### Methods

clearSignedOfferPayload
getOfferId
getSignedOfferPayload
getUid
hasSignedOfferPayload
serializeBinary
setOfferId
setSignedOfferPayload
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignOfferResponse(): SignOfferResponse

- #### Returns SignOfferResponse

  Inherited from jspb.Message.constructor

## Methods

### clearSignedOfferPayload

- clearSignedOfferPayload(): SignOfferResponse

- #### Returns SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:691

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:682

### getSignedOfferPayload

- getSignedOfferPayload(): undefined | OfferPayload

- #### Returns undefined | OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:688

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:685

### hasSignedOfferPayload

- hasSignedOfferPayload(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:690

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:693

### setOfferId

- setOfferId(value: string): SignOfferResponse

- #### Parameters

  - ##### value: string

  #### Returns SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:683

### setSignedOfferPayload

- setSignedOfferPayload(value?: OfferPayload): SignOfferResponse

- #### Parameters

  - ##### `Optional` value: OfferPayload

  #### Returns SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:689

### setUid

- setUid(value: string): SignOfferResponse

- #### Parameters

  - ##### value: string

  #### Returns SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:686

### toObject

- toObject(includeInstance?: boolean): SignOfferResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignOfferResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:694

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignOfferResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:697

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignOfferResponse, reader: BinaryReader): SignOfferResponse

- #### Parameters

  - ##### message: SignOfferResponse

  - ##### reader: BinaryReader

  #### Returns SignOfferResponse

  - Defined in src/protobuf/pb_pb.d.ts:698

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignOfferResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignOfferResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:696

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignOfferResponse): SignOfferResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignOfferResponse

  #### Returns SignOfferResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:695

Generated using TypeDoc